Problem: update.php + postgresql

If you run tt-rss on an officially unsupported platform (shared hosting, Windows, etc.) post here
crank
Bear Rating Trainee
Bear Rating Trainee
Posts: 4
Joined: 25 Jan 2014, 21:27

Problem: update.php + postgresql

Postby crank » 25 Jan 2014, 21:51

Configuration:
Windows Server 2012R2
PostgreSQL 9.3.2 (x64 and x86)
PHP 5.5.8
TT-RSS 1.10 (1.11)

Code: Select all

d:\!sites\RSS>php d:\!sites\RSS\update.php --feeds
Tiny Tiny RSS was unable to start properly. This usually means a misconfiguration or an incomplete upgrade.
Please fix errors indicated by the following messages:

 * PHP support for PostgreSQL is required for configured DB_TYPE in config.php

You might want to check tt-rss wiki or the forums for more information.
Please search the forums before creating new topic for your question.

d:\!sites\RSS>


php.ini
[PHP_PGSQL]
extension=php_pgsql.dll

On the old server (Windows Server 2008) this script works


Problem 2:
In feeds displays links to images rather than the images themselves


Sorry for my english

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Problem: update.php + postgresql

Postby fox » 25 Jan 2014, 22:10

Allow me congratulate you on the brilliant start of your posting career here. So far you showed that not only you can't read error messages, you also can't post in the correct forum.

crank
Bear Rating Trainee
Bear Rating Trainee
Posts: 4
Joined: 25 Jan 2014, 21:27

Re: Problem: update.php + postgresql

Postby crank » 25 Jan 2014, 22:36

Thank you :)
But I could not find the answer in our forum

6502programmer
Bear Rating Trainee
Bear Rating Trainee
Posts: 22
Joined: 15 Jun 2013, 16:43

Re: Problem: update.php + postgresql

Postby 6502programmer » 31 Jan 2014, 00:08

I'll toss a useful tidbit.. make sure pgsql support shows up in phpinfo(). if it doesn't, make it so.


Return to “Unsupported platforms”

Who is online

Users browsing this forum: No registered users and 1 guest